Package logilab :: Package common :: Module table

[frames] | no frames]

# Module table

source code

    Table management module.

Classes
| Table Table defines a data table with column and row names.
| TableStyle Defines a table's style...
| TableStyleSheet A simple Table stylesheet Rules are expressions where cells are defined by the row_index and col_index separated by an underscore ('_').
| TableCellRenderer Defines a simple text renderer...
| DocbookRenderer Defines how to render a cell for a docboook table...
| TableWriter A class to write tables...
| DocbookTableWriter Defines an implementation of TableWriter to write a table in Docbook...

Variables
| CELL_PROG = `re.compile("([0-9]+)_([0-9]+)")`